/*
 * 文 件 名:  WeatherRt
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/5/7
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 天气实况
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/5/7]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class WeatherRt {
    /**
     * 行政区划代码
     */
    private String adcode;

    /**
     * 区划名称
     */
    private String areaName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 天气代码
     */
    private String weatherType;

    /**
     * 天气描述
     */
    private String weatherCn;

    /**
     * 温度
     */
    private Double temperature;

    /**
     * 湿度
     */
    private Integer humidity;

    /**
     * 风力级别
     */
    private String windPower;

    /**
     * 风向
     */
    private String windDirection;

    /**
     * 数据时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    public String getAdcode() {
        return adcode;
    }

    public void setAdcode(String adcode) {
        this.adcode = adcode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getWeatherType() {
        return weatherType;
    }

    public void setWeatherType(String weatherType) {
        this.weatherType = weatherType;
    }

    public String getWeatherCn() {
        return weatherCn;
    }

    public void setWeatherCn(String weatherCn) {
        this.weatherCn = weatherCn;
    }

    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    public Integer getHumidity() {
        return humidity;
    }

    public void setHumidity(Integer humidity) {
        this.humidity = humidity;
    }

    public String getWindPower() {
        return windPower;
    }

    public void setWindPower(String windPower) {
        this.windPower = windPower;
    }

    public String getWindDirection() {
        return windDirection;
    }

    public void setWindDirection(String windDirection) {
        this.windDirection = windDirection;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }
}